cURL
curl --request POST \
--url https://app.teable.ai/api/auth/signup \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"email":"user@example.com","password":"stringst","turnstileToken":"string","defaultSpaceName":"string","refMeta":{"query":"string","referer":"string"},"verification":{"code":"string","token":"string"},"inviteCode":"string"}'const url = 'https://app.teable.ai/api/auth/signup';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"email":"user@example.com","password":"stringst","turnstileToken":"string","defaultSpaceName":"string","refMeta":{"query":"string","referer":"string"},"verification":{"code":"string","token":"string"},"inviteCode":"string"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/auth/signup',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
email: 'user@example.com',
password: 'stringst',
turnstileToken: 'string',
defaultSpaceName: 'string',
refMeta: {query: 'string', referer: 'string'},
verification: {code: 'string', token: 'string'},
inviteCode: 'string'
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"email\":\"user@example.com\",\"password\":\"stringst\",\"turnstileToken\":\"string\",\"defaultSpaceName\":\"string\",\"refMeta\":{\"query\":\"string\",\"referer\":\"string\"},\"verification\":{\"code\":\"string\",\"token\":\"string\"},\"inviteCode\":\"string\"}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/auth/signup", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"notifyMeta": {
"email": true
},
"hasPassword": true,
"avatar": "<string>",
"phone": "<string>",
"isAdmin": true,
"lang": "<string>",
"organization": {
"id": "<string>",
"name": "<string>",
"departments": [
{
"id": "<string>",
"name": "<string>"
}
],
"isAdmin": true
}
}auth
Post authsignup
Sign up
POST
/
auth
/
signup
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

